Subject: Re: "git pull . <branch>" versus "git merge <branch>"

From: Rene Herman <[email-masked]>
Date: Wed, 11 Jun 2008 04:01:36 +0200

On 11-06-08 03:56, Miklos Vajna wrote:

> On Wed, Jun 11, 2008 at 03:13:45AM +0200, Rene Herman
> <[email-masked]> wrote:

>> So in the case of merging a branch from the local repository into
>> the current branch, there is no difference between the two?
> 
> There is no difference, but you really want to use git merge and not
> git pull in such a case, I guess the git pull form is supported
> mainly to keep backwards compatibility.

Thanks much, nice and clear! It might be good to adjust the git-pull 
manpage a bit if the merge is preferred? It sorts of sounds like its 
advertising the pull method now.

Regards,
Rene